--- hints/darwin.sh.orig
+++ hints/darwin.sh
@@ -346,17 +346,20 @@ EOM
     prodvers_minor=$(echo $prodvers|awk -F. '{print $2}')
 
     # macOS (10.12) deprecated syscall().
-    if [ "$prodvers_minor" -ge 12 ]; then
-        d_syscall='undef'
-        # If deploying to pre-10.12, suppress Time::HiRes's detection of the system clock_gettime()
-        case "$MACOSX_DEPLOYMENT_TARGET" in
-          10.[6-9]|10.10|10.11)
-          ccflags="$ccflags -Werror=partial-availability -D_DARWIN_FEATURE_CLOCK_GETTIME=0"
-          ;;
-        *)
-          ;;
-        esac
-    fi
+    # but it's still available on both macOS 10.12 and 10.13
+    # for compatibility with perl5.24 allow syscall() configuration on Sierra and later
+    # will auto-configure without syscall() if and when it's actually removed
+    # if [ "$prodvers_minor" -ge 12 ]; then
+    #     d_syscall='undef'
+    #     # If deploying to pre-10.12, suppress Time::HiRes's detection of the system clock_gettime()
+    #     case "$MACOSX_DEPLOYMENT_TARGET" in
+    #       10.[6-9]|10.10|10.11)
+    #       ccflags="$ccflags -Werror=partial-availability -D_DARWIN_FEATURE_CLOCK_GETTIME=0"
+    #       ;;
+    #     *)
+    #       ;;
+    #     esac
+    # fi
 
    lddlflags="${ldflags} -bundle -undefined dynamic_lookup"
    ;;
